Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.manage
Class ManagementConfigurationManagementJMX2RemoteProfiling

    java.lang.Object
      kodo.manage.AbstractManagementConfiguration
          kodo.manage.ManagementConfigurationManagement
              kodo.manage.ManagementConfigurationManagementJMX2Remote
                  kodo.manage.ManagementConfigurationManagementJMX2RemoteProfiling

All Implemented Interfaces:
  ManagementConfiguration, org.apache.openjpa.lib.conf.Configurable, org.apache.openjpa.lib.util.Closeable

    public class ManagementConfigurationManagementJMX2RemoteProfiling

extends ManagementConfigurationManagementJMX2Remote

Abstract configuration for local profiling.

Field Summary

Fields inherited from class kodo.manage.AbstractManagementConfiguration
`conf`

Constructor Summary
`ManagementConfigurationManagementJMX2RemoteProfiling()`

Method Summary
`ManagementConfigurationProfiling` | `getProfConfig()` Return a separate management configuration instance to delegate to for profiling information, or null to leave with no profiling.

Methods inherited from class kodo.manage.ManagementConfigurationManagementJMX2Remote
`closeManagement, getPlugins, initManagement, setHost, setNamingImpl, setPort, setServiceURL, startConfiguration`

Methods inherited from class kodo.manage.ManagementConfigurationManagement
`endConfiguration, getExecutionContextNameProvider, getMBeanPlugins, getMBeanServer, getMBeanServerStrategy, getProfilingAgent, initProfiling, setConfiguration, setEnableLogMBean, setEnableRuntimeMBean, setMBeanServerStrategy, setStackStyle`

Methods inherited from class kodo.manage.AbstractManagementConfiguration
`close, closeProfiling`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ManagementConfigurationManagementJMX2RemoteProfiling

    public ManagementConfigurationManagementJMX2RemoteProfiling()

Method Detail

### getProfConfig

    public ManagementConfigurationProfiling getProfConfig()

  Description copied from class: `ManagementConfigurationManagement`
  Return a separate management configuration instance to delegate to for profiling information, or null to leave with no profiling.

  Overrides:
    `getProfConfig` in class `ManagementConfigurationManagement`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Kodo 4.1.0 generated on October 9 2006
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001-2006 BEA Systems, Inc. All Rights Reserved.